org.openstreetmap.josm.plugins.streetside.model

## Class ImageDetection

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject
  - - org.openstreetmap.josm.plugins.streetside.model.SpecialImageArea
    - - org.openstreetmap.josm.plugins.streetside.model.ImageDetection

-     public class ImageDetection
      extends SpecialImageArea

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `packag`
    `private static String` | `PACKAGE_TRAFFIC_SIGNS`
    `private double` | `score`
    `private String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageDetection(Path2D shape, String imageKey, String key, double score, String packag, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPackage()`
    `double` | `getScore()`
    `String` | `getValue()`
    `boolean` | `isTrafficSign()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.SpecialImageArea

      `getImageKey, getShape`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject

      `equals, getKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE_TRAFFIC_SIGNS

          private static final String PACKAGE_TRAFFIC_SIGNS

      See Also:
        Constant Field Values

    - #### packag

          private final String packag

    - #### score

          private final double score

    - #### value

          private final String value

  - ### Constructor Detail

    - #### ImageDetection

          public ImageDetection(Path2D shape,
                                String imageKey,
                                String key,
                                double score,
                                String packag,
                                String value)

  - ### Method Detail

    - #### getPackage

          public String getPackage()

    - #### getScore

          public double getScore()

    - #### getValue

          public String getValue()

    - #### isTrafficSign

          public boolean isTrafficSign()

JOSM Plugins